# Backup
*.bak

# Compiled Object files
*.slo
*.lo
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Compiled Dynamic libraries
*.so
*.dylib
*.dll

# Fortran module files
*.mod
*.smod

# Compiled Static libraries
*.lai
*.la
*.a
*.lib

# Executables
*.exe
*.out
*.app

# CMake files
CMakeCache.txt
CMakeFiles
CMakeScripts
Makefile
cmake_install.cmake
cmake_uninstall.cmake
install_manifest.txt
CTestTestfile.cmake

# build directory
build/
build32/
build64/
cmake-build-debug/
cmake-build-release/
build-*/
build_*/

# test directory
svg/

# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# Distribution / packaging
.Python
env/
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
*.egg-info/
.installed.cfg
*.egg
venv/

# Documentation
docs/update.sh

# CLion
.idea/

# VSCode
.vscode/
.vs/
*.code-workspace

# CLion
cmake-*


!cmake-format*

*.TMP
temp_audio_file.wav
.DS_Store

# Coverage
*.profraw
*.profdata
*.lcov
lcov.info

# clangd
.cache

kfr_config.h
